Interface SftpEndpointBuilderFactory.SftpBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- SftpEndpointBuilderFactory
public static interface SftpEndpointBuilderFactory.SftpBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default SftpEndpointBuilderFactory.SftpEndpointBuildersftp(String path)SFTP (camel-ftp) Upload and download files to/from SFTP servers.default SftpEndpointBuilderFactory.SftpEndpointBuildersftp(String componentName, String path)SFTP (camel-ftp) Upload and download files to/from SFTP servers.
-
-
-
Method Detail
-
sftp
default SftpEndpointBuilderFactory.SftpEndpointBuilder sftp(String path)
SFTP (camel-ftp) Upload and download files to/from SFTP servers. Category: file Since: 1.1 Maven coordinates: org.apache.camel:camel-ftp Syntax:sftp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
path- host:port/directoryName- Returns:
- the dsl builder
-
sftp
default SftpEndpointBuilderFactory.SftpEndpointBuilder sftp(String componentName, String path)
SFTP (camel-ftp) Upload and download files to/from SFTP servers. Category: file Since: 1.1 Maven coordinates: org.apache.camel:camel-ftp Syntax:sftp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- host:port/directoryName- Returns:
- the dsl builder
-
-